%undefine __libtoolize
%define replace_font 1

Name: trackballs
Version: 0.9.1
Release: alt1

Group: Games/Arcade
Summary: Trackballs - A Marble Madness-like game
License: GPL
Url: http://trackballs.sourceforge.net/

Requires: %name-music
Requires: %name-game = %version-%release

Source0: %name-%version.tar.bz2
%if %replace_font
Source2: trackballs-font-a010015l.ttf
%endif
Patch0: trackballs-0.9.1-install_data.patch

# Automatically added by buildreq on Mon Jun 02 2003
#BuildRequires: XFree86-devel XFree86-libs aalib esound freetype2 gcc-c++ guile16-devel libGLU-devel libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel libalsa2 libarts libaudiofile libjpeg libogg libslang libsmpeg libstdc++-devel libtiff libvorbis zlib-devel

BuildRequires: XFree86-devel XFree86-libs aalib esound
BuildRequires: freetype2 gcc-c++ guile16-devel libGLU-devel libSDL-devel
BuildRequires: libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel
BuildRequires: libalsa2 libarts libaudiofile libjpeg libogg libslang
BuildRequires: libsmpeg libstdc++-devel libtiff libvorbis zlib-devel
BuildRequires: ImageMagick

%description
Trackballs is a simple game similar to the
classical game Marble Madness, on the Amiga,
in the 80's. By steering a marble ball through
a labyrinth filled with vicious hammers, pools
of acid and other obstacles the player collects
points.

When the ball reaches the destination you continue
on the next, more difficult, level - unless, of
course, the time runs out.

You steer the ball using the mouse and by pressing
>spacebar< you can jump a short distance.

When all levels are finished, an editor mode permits
to create new ones ("trackballs -e").
The documentation.html page explains how.
Be sure your keyboard layout is set to "us" for all
keys to work.

%package game
Group: Games/Arcade
Summary: Trackballs - A Marble Madness-like game
Conflicts: %name < %version-%release

%description game
Trackballs is a simple game similar to the
classical game Marble Madness, on the Amiga,
in the 80's. By steering a marble ball through
a labyrinth filled with vicious hammers, pools
of acid and other obstacles the player collects
points.

When the ball reaches the destination you continue
on the next, more difficult, level - unless, of
course, the time runs out.

You steer the ball using the mouse and by pressing
>spacebar< you can jump a short distance.

When all levels are finished, an editor mode permits
to create new ones ("trackballs -e").
The documentation.html page explains how.
Be sure your keyboard layout is set to "us" for all
keys to work.

If you want music in this game, you must install
%name-music package

%prep
%setup -q
%patch0 -p1

%build
#PATH=%_builddir/%name-%version/GUILE/%_bindir:$PATH
#CFLAGS="-lcrypt -I%_builddir/%name-%version/GUILE/%_includedir -L/usr/X11R6/lib -L%_builddir/%name-%version/GUILE/%_libdir" \
CFLAGS="-L/usr/X11R6/lib" \
%configure \
    --bindir=%_gamesbindir \
    --datadir=%_gamesdatadir \
    --program-transform-name=""
%make_build 



%install
install -d %buildroot/%_man1dir
%makeinstall bindir=%buildroot/%_gamesbindir datadir=%buildroot/%_gamesdatadir install

%if %replace_font
rm -f %buildroot/%_gamesdatadir/%name/fonts/menuFont.ttf
install -m 0644 %SOURCE2 %buildroot/%_gamesdatadir/%name/fonts/menuFont.ttf
%endif

install -d %buildroot/%_localstatedir/games/%name
mv %buildroot/%_gamesdatadir/%name/highScores %buildroot/%_localstatedir/games/%name
ln -s ../../../../..%_localstatedir/games/%name/highScores %buildroot/%_gamesdatadir/%name/highScores

# install icons & menu-entry
[ -f share/icons/%name-16x16.png ] || \
    convert -size 16x16 share/icons/%name-32x32.png share/icons/%name-16x16.png
install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -c -m644 share/icons/%name-16x16.png %buildroot/%_miconsdir/%name.png
install -c -m644 share/icons/%name-32x32.png %buildroot/%_iconsdir/%name.png
install -c -m644 share/icons/%name-48x48.png %buildroot/%_liconsdir/%name.png

install -d %buildroot/%_menudir
cat <<EOF > %buildroot/%_menudir/%name
?package(%name-game):  needs="X11" \
    section=Amusement/Arcade \
    title="Trackballs" \
    longtitle="Marble Madness type game" \
    command="trackballs" \
    icon="trackballs"
EOF

%post game
%update_menus

%postun game
%clean_menus

%files

%files game

%doc AUTHORS ChangeLog FAQ NEWS README TODO README.html
%doc %_man6dir/*
%attr(2711,root,games) %_gamesbindir/%name
%_gamesdatadir/%name
#
%dir %_localstatedir/games/%name
%config(noreplace) %attr(0660,root,games) %_localstatedir/games/%name/highScores
#
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_menudir/%name

%changelog
* Fri Nov 21 2003 Sergey V Turchin <zerg at altlinux dot org> 0.9.1-alt1
- new version

* Wed Jul 30 2003 Sergey V Turchin <zerg at altlinux dot org> 0.9.0-alt5
- fix menu

* Mon Jun 02 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.9.0-alt4
- move music to it's own .src.rpm
- fix BuildRequires

* Thu Apr 10 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.9.0-alt2
- fix requires

* Thu Apr 03 2003 Sergey V Turchin <zerg@altlinux.ru> 0.9.0-alt1
- new version

* Wed Feb 26 2003 Sergey V Turchin <zerg@altlinux.ru> 0.7.1-alt1
- new version

* Tue Feb 18 2003 Sergey V Turchin <zerg@altlinux.ru> 0.6.0-alt1
- new version

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt1
- new version

* Sat Feb 08 2003 ZerG <zerg@altlinux.ru> 0.5.0-alt1
- cleaunup spec
- build for ALT

* Thu Feb 6 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.5.0-1mdk
- Upgraded to 0.5.0. Changed Copyright. Separated game & music.

* Wed Feb 5 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.4.1-2mdk
- Moved to /usr/games, added icons, fixed rights for directories (new levels can be created),
              build requires fixes, build with macros, french description.

* Sun Feb 2 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.4.1-1mdk
- First Mandrake package for Trackballs

